import { Accessor, Setter } from 'solid-js';
export declare function getTextWidthCanvas(text: string, font: string, canvasToUse?: HTMLCanvasElement): number;
export declare function getTextWidthDOM(text: string, styles: Record<string, string>): number;
export declare function clamp(s: number, e: number, v: number): number;
export declare function getRangeSize(range: [number, number]): number;
export declare function createRAFSignal<T>(initialValue: T): readonly [Accessor<T>, (this: unknown, value: Exclude<T, Function> | ((prev: T) => T)) => void];
export type ResizeDirectiveValue = [
    Accessor<{
        width: number;
        height: number;
    }>,
    Setter<{
        width: number;
        height: number;
    }>
];
export declare function resize(el: HTMLElement, value: Accessor<ResizeDirectiveValue>): void;
